Package io.dapr.v1

# Interface DaprProtos.GetStateResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.GetStateResponse`, `DaprProtos.GetStateResponse.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.GetStateResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `com.google.protobuf.ByteString` | `getData()` | The byte array data
  `java.lang.String` | `getEtag()` | The entity tag which represents the specific version of data.
  `com.google.protobuf.ByteString` | `getEtagBytes()` | The entity tag which represents the specific version of data.

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getData

    com.google.protobuf.ByteString getData()

         The byte array data

    `bytes data = 1;`
    Returns:
      The data.

  - ### getEtag

    java.lang.String getEtag()

         The entity tag which represents the specific version of data.
         ETag format is defined by the corresponding data store.

    `string etag = 2;`
    Returns:
      The etag.

  - ### getEtagBytes

    com.google.protobuf.ByteString getEtagBytes()

         The entity tag which represents the specific version of data.
         ETag format is defined by the corresponding data store.

    `string etag = 2;`
    Returns:
      The bytes for etag.